Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005110TestLinkReportspublic2012-07-26 05:362012-12-09 17:35
Reportersujataverma3 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows XPOS Version
Product Version1.9.4 Preview 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005110: [1.9.4 PREVIEW] : Fatal errors in Reports
DescriptionBelow fatal errors are observed in "Test Reports'


Query Metrics :

Fatal error: require_once() [function.require]: Failed opening required 'results.class.php' (include_path='.;C:\xampp\php\pear\;.;C:\xampp\htdocs\testlink-ga\testlink-ga\lib\functions\;C:\xampp\htdocs\testlink-ga\testlink-ga\lib\issuetrackerintegration\;C:\xampp\htdocs\testlink-ga\testlink-ga\third_party\') in C:\xampp\htdocs\testlink-ga\testlink-ga\lib\results\resultsMoreBuildsGUI.php on line 17


Test cases created per user :


Fatal error: require_once() [function.require]: Failed opening required 'results.class.php' (include_path='.;C:\xampp\php\pear\;.;C:\xampp\htdocs\testlink-ga\testlink-ga\lib\functions\;C:\xampp\htdocs\testlink-ga\testlink-ga\lib\issuetrackerintegration\;C:\xampp\htdocs\testlink-ga\testlink-ga\third_party\') in C:\xampp\htdocs\testlink-ga\testlink-ga\lib\results\tcCreatedPerUserGUI.php on line 20



Test cases not run on any platform:


Fatal error: require_once() [function.require]: Failed opening required 'results.class.php' (include_path='.;C:\xampp\php\pear\;.;C:\xampp\htdocs\testlink-ga\testlink-ga\lib\functions\;C:\xampp\htdocs\testlink-ga\testlink-ga\lib\issuetrackerintegration\;C:\xampp\htdocs\testlink-ga\testlink-ga\third_party\') in C:\xampp\htdocs\testlink-ga\testlink-ga\lib\results\tcNotRunAnyPlatform.php on line 12


General Test Plan matrics :


" The connection was reset "

Steps To ReproduceIssue 1 : Platform is not created , fatal error in "Query Matrics", "Test cases not run on any platform" and "Test cases created per user "

Steps to reproduce :

1) Create test Project-> Project A

2) Create Test Plan -> Test Plan A

3) Create Build-> 501122

4) Create user-> user0, password-> pass0

5) Add 2 Test cases in -> Test Plan A

6) "Add" these two test cases using "Add/Remove test cases"

7) Assign these two test cases to user0 usign "Assign Test case execution"

8) Login through user0 -> Execute the test cases

9) Go to Reports-> Fatal error in "Query Matrics", "Test cases not run on any platform" and "Test cases created per user " is observed.


Issue 2 -> "General Test Plan metrics" displays "The connection was reset while the page was loading"

In continuing with above do following steps:

1) Go to "Platform Management" -> ADD platform "ABC"

2) Go to " Add remove Platform" -> Add "ABC" -> Save

3) Go to Test Specification-> Add another 5 Test cases

5) Go to "Add/Remove Test cases" and add these 5 test cases

6) Go to "Assign Test cases execution" -> Assign these 5 test cases to user0

7) Go to Test Reports-> General Test Plan Metrics -> Displays "the connection was reset"


Tags1.9.4 PREVIEW
Database (MySQL,Postgres,etc)MySQL 5.1.30
BrowserFirefox 14
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon fatal_error.jpg [^] (138,585 bytes) 2012-07-26 05:36


jpg file icon general_test_plan_metrics.jpg [^] (70,690 bytes) 2012-07-26 05:38

- Relationships

-  Notes
(0017014)
fman (administrator)
2012-07-26 18:39

all reports that use 'results.class.php' will not work because class has been removed.
There are in process to be refactored.
Test cases created per user probably will be removed from 1.9.4 release.

Max priority will be assigned to
Query Metrics

Issue subject can be a absolutely a lot better

like:
Reports - Query Metrics,Test cases created per user,Test cases not run on any platform - crash missing class

- Issue History
Date Modified Username Field Change
2012-07-26 05:36 sujataverma3 New Issue
2012-07-26 05:36 sujataverma3 File Added: fatal_error.jpg
2012-07-26 05:38 sujataverma3 File Added: general_test_plan_metrics.jpg
2012-07-26 05:39 sujataverma3 Tag Attached: 1.9.4 PREVIEW
2012-07-26 18:39 fman Note Added: 0017014
2012-08-02 20:39 fman Product Version 1.9.3 (2011 Q3 - bug fixing) => 1.9.4 Preview
2012-08-02 20:39 fman Steps to Reproduce Updated View Revisions
2012-12-09 17:35 fman Task Workflow Status TBD => READY FOR TESTING
2012-12-09 17:35 fman Status new => closed
2012-12-09 17:35 fman Assigned To => fman
2012-12-09 17:35 fman Resolution open => fixed
2012-12-09 17:35 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker